# Harding/main
# Author:       Everett Harding
# Date Created: 1/17/18
# Description:
# for a time series, it is difficult to generate a single point, as the meaning of the data is only derived from the
# sequence. Therefore, rather than generate completely new points, the GAN will generate "noisy" approximations of the
# original dataset to use as augmentation. In conjunction with the preprocessing to find the most indicative points,
# this can be used to re-inforce the key trends in the dataset in unsupervised learning.

# TODO:
#   - add generic script to run model with various parameters
#   - add saving results to file, along with graphs

