# Harding/iit_classifier_cnn
# Author:        Everett Harding
# Date Created:  1/15/18
# Description:
#   This script runs a convolutional neural network as a classifier on the trading dataset. The target
# variable is either "normal trading" or "abnormal trading" where abnormal trading indicates a trade
# made against the expected activity of a trader that may indicate illegal insider trading. This classifier
# is to be run on both the original dataset and the augmented dataset formed by merging the generated values
# from G* (The generator network of the GAN) and the original dataset.

# TODO:
#   - set dataset names & column names
#   - select output metrics and format
#   - implementation

