#!/bin/sh
#!/bin/env python3

#SBATCH -p short
#SBATCH -J Correlation
#SBATCH -C E5-2680


# optimizer.py
# Author:       Luke Buquicchio

# Date Created: 2/7/18
# Description: A custom shell optimizer for our ensemble.

module load python/gcc-4.8.5/3.6.3

for i in {1..50};
do
    srun ~/MQP/MQP-ZHAW/CrossValidation/test_correlation_ensemble_accuracy_and_model_accuracy.py
done



#filename="$1"
#while read -r line
#do
#    name="$line"
#    echo "Name read from file - $name"
#done < "$filename"
#
#
#
## Array with expressions
#expressions=("Ploink Poink" "I Need Oil" "Some Bytes are Missing!" "Poink Poink" "Piiiip Beeeep!!" "Hello" "Whoops! I'm out of memmory!")
#
## Seed random generator
#RANDOM=$$$(date + %s)
#
## Loop loop loop loop loop loop ...
#while [ 1 ]
#do
#    # Get random expression...
#    selectedexpression=${expressions[$RANDOM % ${#expressions[@]}]}
#
#    # Write to Shell
#    echo $selectedexpression
#
#
#    # Wait an half hour
#    sleep 1 # It's one second for debugging, dear SOers
#done
#
