#!/bin/bash
#!/bin/env python3
#SBATCH -p short
#SBATCH --error=simple.err
#SBATCH -N 1
#SBATCH -J cross-validate-framework
#SBATCH --gres=gpu:1
#SBATCH --mem 20G
chmod +x CrossValidation/randomized_performance.py
module load python/gcc-4.8.5/3.6.3
module load cuda80/blas/8.0.61
module load cuda80/fft/8.0.61
module load cuda80/nsight/8.0.61  
module load cuda80/profiler/8.0.61
module load cuda80/toolkit/8.0.61
module load cudnn/5.1
module load tensorflow/1.0_python3.6
#module load keras/tf1.0_python3.6
srun CrossValidation/randomized_performance.py
