# build_future
# Author:       Everett Harding
# Date Created: 2/21/18
# Description: 
# TODO:
import pandas as pd
import sys
import os


def build_labels(data):

    last_date = data.iloc[-1]['Date']
    labels = []
    label = None
    open = data.iloc[-1]['Close']
    for x in range(data.shape[0]-1, -1, -1):
        if data.loc[x]['Date'] == last_date:
            open = data.loc[x]['Close']
        else:
            this_close = data.loc[x]['Close']
            label = 1. if open > this_close else 0.
        if label:
            labels.append(label)

    return pd.DataFrame(labels, columns=['Direction'])


if __name__ == '__main__':

    eb = pd.read_csv('/Users/jack/Desktop/EB.txt')

    labels = build_labels(eb)
    eb = pd.concat([eb, labels], axis=1)
    print(eb)
